MeasurementCommandsAPI (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.agent.MeasurementCommandsAPI class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.agent
Class MeasurementCommandsAPI

    java.lang.Object
      org.hyperic.hq.agent.AgentAPIInfo
          org.hyperic.hq.measurement.agent.MeasurementCommandsAPI

    public final class MeasurementCommandsAPI

extends AgentAPIInfo

Field Summary
`static java.lang.String` | `command_deleteProperties`
`static java.lang.String` | `command_getMeasurements`
`static java.lang.String` | `command_scheduleMeasurements`
`static java.lang.String` | `command_setProperties`
`static java.lang.String` | `command_trackAdd`
`static java.lang.String` | `command_trackRemove`
`static java.lang.String` | `command_unscheduleMeasurements`
`static java.lang.String[]` | `commandSet`
`static java.lang.String` | `PROP_NAMING_PROVIDER`
`static java.lang.String` | `PROP_SPOOLDIR`
`static java.lang.String[]` | `propSet`
`static java.lang.String` | `trackPrefix`

Constructor Summary
`MeasurementCommandsAPI()`

Method Summary

Methods inherited from class org.hyperic.hq.agent.AgentAPIInfo
`getBugfixVersion, getMajorVersion, getMinorVersion, getVersion, isCompatible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_NAMING_PROVIDER

    public static final java.lang.String PROP_NAMING_PROVIDER

See Also:
  Constant Field Values

### PROP_SPOOLDIR

    public static final java.lang.String PROP_SPOOLDIR

See Also:
  Constant Field Values

### propSet

    public static final java.lang.String[] propSet

### command_scheduleMeasurements

    public static final java.lang.String command_scheduleMeasurements

See Also:
  Constant Field Values

### command_unscheduleMeasurements

    public static final java.lang.String command_unscheduleMeasurements

See Also:
  Constant Field Values

### command_getMeasurements

    public static final java.lang.String command_getMeasurements

See Also:
  Constant Field Values

### command_setProperties

    public static final java.lang.String command_setProperties

See Also:
  Constant Field Values

### command_deleteProperties

    public static final java.lang.String command_deleteProperties

See Also:
  Constant Field Values

### trackPrefix

    public static final java.lang.String trackPrefix

See Also:
  Constant Field Values

### command_trackAdd

    public static final java.lang.String command_trackAdd

See Also:
  Constant Field Values

### command_trackRemove

    public static final java.lang.String command_trackRemove

See Also:
  Constant Field Values

### commandSet

    public static final java.lang.String[] commandSet

Constructor Detail

### MeasurementCommandsAPI

    public MeasurementCommandsAPI()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.